package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.mapper.ServiceTypeMapper;
import com.ruoyi.system.domain.ServiceType;
import com.ruoyi.system.service.IServiceTypeService;

/**
 * ServiceTypeService业务层处理
 * 
 * @author ruoyi
 * @date 2024-02-24
 */
@Service
public class ServiceTypeServiceImpl extends ServiceImpl<BaseMapper<ServiceType>,ServiceType> implements IServiceTypeService
{
    @Autowired
    private ServiceTypeMapper serviceTypeMapper;

    /**
     * 查询ServiceType
     * 
     * @param id ServiceType主键
     * @return ServiceType
     */
    @Override
    public ServiceType selectServiceTypeById(Long id)
    {
        return serviceTypeMapper.selectServiceTypeById(id);
    }

    /**
     * 查询ServiceType列表
     * 
     * @param serviceType ServiceType
     * @return ServiceType
     */
    @Override
    public List<ServiceType> selectServiceTypeList(ServiceType serviceType)
    {
        return serviceTypeMapper.selectServiceTypeList(serviceType);
    }

    /**
     * 新增ServiceType
     * 
     * @param serviceType ServiceType
     * @return 结果
     */
    @Override
    public int insertServiceType(ServiceType serviceType)
    {
        return serviceTypeMapper.insertServiceType(serviceType);
    }

    /**
     * 修改ServiceType
     * 
     * @param serviceType ServiceType
     * @return 结果
     */
    @Override
    public int updateServiceType(ServiceType serviceType)
    {
        return serviceTypeMapper.updateServiceType(serviceType);
    }

    /**
     * 批量删除ServiceType
     * 
     * @param ids 需要删除的ServiceType主键
     * @return 结果
     */
    @Override
    public int deleteServiceTypeByIds(Long[] ids)
    {
        return serviceTypeMapper.deleteServiceTypeByIds(ids);
    }

    /**
     * 删除ServiceType信息
     * 
     * @param id ServiceType主键
     * @return 结果
     */
    @Override
    public int deleteServiceTypeById(Long id)
    {
        return serviceTypeMapper.deleteServiceTypeById(id);
    }
}
